# optimsimplex_setn

Sets the dimenson of the space.

## Calling Sequence

                opt = optimsimplex_setn(opt, n)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

n

  An integer, the dimension of the space of the simplex.

## Description

The `optimsimplex_setn` function sets the dimension of the space of the simplex.

## Example

        s1 = optimsimplex_new ();
        s1 = optimsimplex_setn(s1, 1)
        s1 = optimsimplex_setnbve(s1, 2);
        s1 = optimsimplex_setx(s1,1,0.0);
        s1 = optimsimplex_setfv(s1,1,5.0);
        s1 = optimsimplex_setx(s1,2,1.0);
        s1 = optimsimplex_setfv(s1,2,4.0);
        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_getn